/**
 * A zone with a fixed offset (meaning no DST)
 * @implements {Zone}
 */
export default class FixedOffsetZone extends Zone implements Zone {
    /**
     * Get a singleton instance of UTC
     * @return {FixedOffsetZone}
     */
    static get utcInstance(): FixedOffsetZone;
    /**
     * Get an instance with a specified offset
     * @param {number} offset - The offset in minutes
     * @return {FixedOffsetZone}
     */
    static instance(offset: number): FixedOffsetZone;
    /**
     * Get an instance of FixedOffsetZone from a UTC offset string, like "UTC+6"
     * @param {string} s - The offset string to parse
     * @example FixedOffsetZone.parseSpecifier("UTC+6")
     * @example FixedOffsetZone.parseSpecifier("UTC+06")
     * @example FixedOffsetZone.parseSpecifier("UTC-6:00")
     * @return {FixedOffsetZone}
     */
    static parseSpecifier(s: string): FixedOffsetZone;
    constructor(offset: any);
    /** @private **/
    private fixed;
    /** @override **/
    override offsetName(): string;
    /** @override **/
    override formatOffset(ts: any, format: any): string;
    /** @override **/
    override offset(): any;
    /** @override **/
    override equals(otherZone: any): boolean;
}
import Zone from "../zone.js";
